- Qt 5.0
- Qt 5.0.0 Reference Documentation

# ItemType QML Type

The ItemType element contains the type of an organizer item. More...

Import Statement: | import QtOrganizer 5.0

- List of all members, including inherited members

## Properties

- itemType : enum

## Signals

- onDetailChanged()

## Detailed Description

The following fields are supported:

- ItemType.FieldType

See also QOrganizerItemType.

## Property Documentation

itemType : enum

This property holds the type of the item. The value can be one of:

- ItemType.Event
- ItemType.EventOccurrence
- ItemType.Todo
- ItemType.TodoOccurrence
- ItemType.Note
- ItemType.Journal
- ItemType.Customized

## Signal Documentation

onDetailChanged()

Note: The corresponding handler is `onOnDetailChanged`.

See also Detail::onDetailChanged.